%global momorel 3

Summary: Images for components and tools for working with the comps file
Name: comps-extras
Version: 9.0.3
Release: %{momorel}m
Source0: %{name}-%{version}.tar.gz
Source1: xfce4.png
Source2: window-manager.png
Source3: ruby.png
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
This package contains images for the components included in Momonga Linux
as well as some tools for working with the comps file

%prep
%setup -q

find . -name "*.py" | xargs perl -p -i -e 's/RedHat/Momonga/'

%build
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/comps
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/comps
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/comps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/pixmaps/comps
%{_datadir}/comps-extras


%changelog
* Sat Jul 24 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.0.3-3m)
- add icon images (ruby.png,window-manager.png,xfce4.png)

* Fri Apr 16 2004 Toru Hoshina <t@momonga-linux.org>
- (9.0.3-2m)
- import from FC1.

* Tue May 27 2003 Jeremy Katz <katzj@redhat.com> 9.0.3-1
- getfullcomps.py can go away now that anaconda does dep resolution in 
  realtime

* Fri Apr 11 2003 Jeremy Katz <katzj@redhat.com> 9.0.2-1
- update getfullcomps.py to not prefer devel packages

* Tue Apr  8 2003 Tim Powers <timp@redhat.com> 9.0.1-2
- made getfullcomps.py importable

* Tue Mar  4 2003 Jeremy Katz <katzj@redhat.com> 9.0.1-1
- add /usr/share/comps-extras/whichcd.py to find out which cd a given 
  package is on (#85343)

* Tue Dec 17 2002 Jeremy Katz <katzj@redhat.com>
- improve getfullcomps.py handling of multiple provides

* Wed Sep 04 2002 Jeremy Katz <katzj@redhat.com>
- update images again

* Wed Sep 04 2002 Michael Fulbright <msf@redhat.com>
- update images

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- update images

* Tue Jul 23 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.


